Bug 1990577 - Upgrade Ingress API version
Summary: Upgrade Ingress API version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.0
Assignee: Samuel Padgett
QA Contact: Siva Reddy
URL:
Whiteboard:
: 1992751 (view as bug list)
Depends On:
Blocks: 1992720
TreeView+ depends on / blocked
 
Reported: 2021-08-05 16:39 UTC by Kim Dobestein
Modified: 2021-10-18 17:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The default API version of the Ingress resource used in OpenShift console is now v1. Previously it was v1beta1, which has been deprecated. When editing Ingress YAML in the OpenShift console, the v1 API version is shown.
Clone Of:
Environment:
Last Closed: 2021-10-18 17:45:04 UTC
Target Upstream Version:


Attachments (Terms of Use)
v1 version (206.16 KB, image/png)
2021-08-19 00:39 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9776 0 None None None 2021-08-10 14:52:10 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:45:24 UTC

Description Kim Dobestein 2021-08-05 16:39:27 UTC
Description of problem:
The version we are currently using (v1beta1) is going away from upstream Kubernetes and should be updated to `v1`.  See https://kubernetes.io/docs/reference/using-api/deprecation-guide/#ingress-v122

Note this will be required for 4.9

Version-Release number of selected component (if applicable):
4.9

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Christoph Jerolimov 2021-08-11 17:41:01 UTC
*** Bug 1992751 has been marked as a duplicate of this bug. ***

Comment 3 Siva Reddy 2021-08-19 00:39:03 UTC
Created attachment 1815400 [details]
v1 version

4.9.0-0.nightly-2021-08-18-084341

Steps to reproduce:
  now versions are networking.k8s.io/v1
    and apiVersion: v1

Comment 6 errata-xmlrpc 2021-10-18 17:45:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.